"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var debounce_1 = __importDefault(require("lodash/debounce"));
var useDocumentSize = function () {
    var _a = react_1.useState(0), width = _a[0], setWidth = _a[1];
    var _b = react_1.useState(0), height = _b[0], setHeight = _b[1];
    var onResize = debounce_1.default(function () {
        var _a = document.documentElement, clientWidth = _a.clientWidth, clientHeight = _a.clientHeight;
        setWidth(clientWidth);
        setHeight(clientHeight);
    }, 200);
    react_1.useEffect(function () {
        window.addEventListener('resize', onResize);
        return function () {
            window.removeEventListener('resize', onResize);
        };
    });
    return [width, height];
};
exports.default = useDocumentSize;
