"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var debounce_1 = __importDefault(require("lodash/debounce"));
var useElementSize = function () {
    var ref = react_1.useRef();
    var _a = react_1.useState(0), width = _a[0], setWidth = _a[1];
    var _b = react_1.useState(0), height = _b[0], setHeight = _b[1];
    var onResize = debounce_1.default(function () {
        if (!ref.current)
            return;
        var _a = ref.current, clientWidth = _a.clientWidth, clientHeight = _a.clientHeight;
        setWidth(clientWidth);
        setHeight(clientHeight);
    }, 50);
    react_1.useEffect(function () {
        window.addEventListener('resize', onResize);
        onResize();
        return function () {
            window.removeEventListener('resize', onResize);
        };
    }, []);
    return [ref, width, height];
};
exports.default = useElementSize;
