"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var useList = function (initialValue) {
    if (initialValue === void 0) { initialValue = []; }
    var _a = react_1.useState(initialValue), values = _a[0], set = _a[1];
    var length = values.length;
    var first = values[0];
    var last = values[values.length - 1];
    var get = function (index) { return values[index]; };
    var push = function () {
        var elements = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            elements[_i] = arguments[_i];
        }
        set(function (prevState) { return __spreadArrays(prevState, elements); });
    };
    var pop = function () {
        if (length) {
            set(function (prevState) { return prevState.slice(0, -1); });
        }
    };
    var shift = function () {
        set(function (prevState) { return prevState.slice(1); });
    };
    var unshift = function () {
        var elements = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            elements[_i] = arguments[_i];
        }
        set(function (prevState) { return __spreadArrays(elements, prevState); });
    };
    return { values: values, set: set, length: length, first: first, last: last, get: get, push: push, pop: pop, shift: shift, unshift: unshift };
};
exports.default = useList;
