import { Dispatch, SetStateAction } from 'react';
declare type MapState<T> = {
    [key: string]: T;
};
export declare class MapForState<T> {
    _state: MapState<T>;
    _setState: Dispatch<SetStateAction<MapState<T>>>;
    constructor(state: MapState<T>, setState: Dispatch<SetStateAction<MapState<T>>>);
    get size(): number;
    get keys(): string[];
    get values(): T[];
    get(key: string): T;
    set(key: string, value: T): void;
    has(key: string): boolean;
    clear(): void;
    delete(key: string): boolean;
    entries(): {
        next: () => (string | T)[];
    };
}
declare const useMap: <T>(initialValue?: MapState<T>) => {
    keys: string[];
    values: T[];
    size: number;
    get: (key: string) => T;
    setValues: Dispatch<SetStateAction<MapState<T>>>;
    set: (key: string, value: T) => void;
    has: (key: string) => boolean;
    remove: (key: string) => void;
};
export default useMap;
