"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var useScreenOrientation = function (callback) {
    var onOrientationChange = function () {
        callback(window.screen.orientation);
    };
    react_1.useEffect(function () {
        window.addEventListener('orientationchange', onOrientationChange);
        return function () {
            window.removeEventListener('orientationchange', onOrientationChange);
        };
    }, []);
};
exports.default = useScreenOrientation;
