"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var debounce_1 = __importDefault(require("lodash/debounce"));
var useWindowScroll = function (callback) {
    var onScroll = function () { return debounce_1.default(function () {
        var scrollX = window.scrollX, scrollY = window.scrollY;
        callback(scrollX, scrollY);
    }, 200); };
    react_1.useEffect(function () {
        window.addEventListener('scroll', onScroll);
        return function () {
            window.removeEventListener('scroll', onScroll);
        };
    });
};
exports.default = useWindowScroll;
